Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.common
Interface WLAIConstants

public interface WLAIConstants

Constants used in the deployment of ai.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `APP_VIEW_DEPLOYED_FLAG_JMS_NAME`
`static java.lang.String` | `APP_VIEW_DEPLOYMENT_TOPIC_JNDI_NAME`
`static java.lang.String` | `APP_VIEW_DEPLOYMENT_TOPIC_NAME`
`static java.lang.String` | `ASYNC_SERVICE_TRANS_FLAG`
`static java.lang.String` | `COMPONENT`
`static java.lang.String` | `DEFAULT_ASYNC_SERVICE_TRANS_FLAG`
`static java.lang.String` | `DEFAULT_JMS_CONNECTION_FACTORY_JNDI_CONTEXT`
`static java.lang.String` | `DEFAULT_JMS_CONNECTION_FACTORY_NAME`
`static java.lang.String` | `DEFAULT_JMS_JDBC_STORE_NAME`
`static java.lang.String` | `DEFAULT_JMS_SERVER_NAME`
`static java.lang.String` | `DEFAULT_JMS_TEMPLATE_NAME`
`static java.lang.String` | `DEPLOYMENT_REPOSITORY_PATH`
`static java.lang.String` | `EVENT_QUEUE_JNDI_NAME`
`static java.lang.String` | `EVENT_QUEUE_NAME`
`static java.lang.String` | `EVENT_TOPIC_JNDI_NAME`
`static java.lang.String` | `EVENT_TOPIC_NAME`
`static java.lang.String` | `FORCE_GARBAGE_COLLECTION_INTERVAL`
`static java.lang.String` | `HOST_AND_PORT`
`static java.lang.String` | `ID`
`static java.lang.String` | `JMS_AUTO_GEN`
`static java.lang.String` | `JMS_CONNECTION_FACTORY_JNDI_NAME`
`static java.lang.String` | `JMS_CONNECTION_FACTORY_NAME`
`static java.lang.String` | `JMS_JDBC_STORE_NAME`
`static java.lang.String` | `JMS_SERVER_NAME`
`static java.lang.String` | `JMS_TEMPLATE_NAME`
`static java.lang.String` | `JNDI_TIP`
`static java.lang.String` | `LOG_LEVEL`
`static java.lang.String` | `PREFIX`
`static java.lang.String` | `PRODUCT`
`static java.lang.String` | `RELEASE`
`static java.lang.String` | `REPOSITORY_DATA_SOURCE`
`static java.lang.String` | `REPOSITORY_FILE`
`static java.lang.String` | `REPOSITORY_PASSWORD`
`static java.lang.String` | `REPOSITORY_USERNAME`

Field Detail

### PRODUCT

    public static final java.lang.String PRODUCT

### RELEASE

    public static final java.lang.String RELEASE

### COMPONENT

    public static final java.lang.String COMPONENT

### REPOSITORY_DATA_SOURCE

    public static final java.lang.String REPOSITORY_DATA_SOURCE

### REPOSITORY_USERNAME

    public static final java.lang.String REPOSITORY_USERNAME

### REPOSITORY_PASSWORD

    public static final java.lang.String REPOSITORY_PASSWORD

### ID

    public static final java.lang.String ID

### PREFIX

    public static final java.lang.String PREFIX

### JNDI_TIP

    public static final java.lang.String JNDI_TIP

### LOG_LEVEL

    public static final java.lang.String LOG_LEVEL

### DEPLOYMENT_REPOSITORY_PATH

    public static final java.lang.String DEPLOYMENT_REPOSITORY_PATH

### REPOSITORY_FILE

    public static final java.lang.String REPOSITORY_FILE

### HOST_AND_PORT

    public static final java.lang.String HOST_AND_PORT

### FORCE_GARBAGE_COLLECTION_INTERVAL

    public static final java.lang.String FORCE_GARBAGE_COLLECTION_INTERVAL

### JMS_AUTO_GEN

    public static final java.lang.String JMS_AUTO_GEN

### JMS_SERVER_NAME

    public static final java.lang.String JMS_SERVER_NAME

### JMS_JDBC_STORE_NAME

    public static final java.lang.String JMS_JDBC_STORE_NAME

### JMS_CONNECTION_FACTORY_NAME

    public static final java.lang.String JMS_CONNECTION_FACTORY_NAME

### JMS_CONNECTION_FACTORY_JNDI_NAME

    public static final java.lang.String JMS_CONNECTION_FACTORY_JNDI_NAME

### JMS_TEMPLATE_NAME

    public static final java.lang.String JMS_TEMPLATE_NAME

### EVENT_QUEUE_NAME

    public static final java.lang.String EVENT_QUEUE_NAME

### EVENT_QUEUE_JNDI_NAME

    public static final java.lang.String EVENT_QUEUE_JNDI_NAME

### EVENT_TOPIC_NAME

    public static final java.lang.String EVENT_TOPIC_NAME

### EVENT_TOPIC_JNDI_NAME

    public static final java.lang.String EVENT_TOPIC_JNDI_NAME

### DEFAULT_JMS_SERVER_NAME

    public static final java.lang.String DEFAULT_JMS_SERVER_NAME

### DEFAULT_JMS_JDBC_STORE_NAME

    public static final java.lang.String DEFAULT_JMS_JDBC_STORE_NAME

### DEFAULT_JMS_CONNECTION_FACTORY_NAME

    public static final java.lang.String DEFAULT_JMS_CONNECTION_FACTORY_NAME

### DEFAULT_JMS_CONNECTION_FACTORY_JNDI_CONTEXT

    public static final java.lang.String DEFAULT_JMS_CONNECTION_FACTORY_JNDI_CONTEXT

### DEFAULT_JMS_TEMPLATE_NAME

    public static final java.lang.String DEFAULT_JMS_TEMPLATE_NAME

### ASYNC_SERVICE_TRANS_FLAG

    public static final java.lang.String ASYNC_SERVICE_TRANS_FLAG

### DEFAULT_ASYNC_SERVICE_TRANS_FLAG

    public static final java.lang.String DEFAULT_ASYNC_SERVICE_TRANS_FLAG

### APP_VIEW_DEPLOYMENT_TOPIC_NAME

    public static final java.lang.String APP_VIEW_DEPLOYMENT_TOPIC_NAME

### APP_VIEW_DEPLOYMENT_TOPIC_JNDI_NAME

    public static final java.lang.String APP_VIEW_DEPLOYMENT_TOPIC_JNDI_NAME

### APP_VIEW_DEPLOYED_FLAG_JMS_NAME

    public static final java.lang.String APP_VIEW_DEPLOYED_FLAG_JMS_NAME

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)